//格式化日期
export function getDate(type) {
	const date = new Date();
	let year = date.getFullYear();
	let month = date.getMonth() + 1;
	let day = date.getDate();

	if (type === 'end') {
		day = day + 1;
	}
	month = month > 9 ? month : '0' + month;
	day = day > 9 ? day : '0' + day;
	return `${year}-${month}-${day}`;
}

export function stopScroll(){
	  var box=function(e)
	  {passive: false ;};
	  document.body.style.overflow='hidden';
	  document.addEventListener("touchmove",box,false);
}

export function startScroll(){
	 var box=function(e){passive: false };
 	 document.body.style.overflow='';//出现滚动条
	 document.removeEventListener("touchmove",box,false);
}
// 生成随机数
export const getRuleNo = (suffix = 'R') => {
	const randomNum = Math.floor(Math.random() * 1000000)
  
	return `${suffix}${parseTime(new Date(), '{y}{m}{d}')}${randomNum}`
  }
export function parseTime (time, cFormat) {
	if (arguments.length === 0 || !time) {
	  return null
	}
	const format = cFormat || '{y}-{m}-{d} {h}:{i}:{s}'
	let date
	if (typeof time === 'object') {
	  date = time
	} else {
	  if (typeof time === 'string') {
		if (/^[0-9]+$/.test(time)) {
		  // support "1548221490638"
		  time = parseInt(time)
		} else {
		  // support safari
		  // https://stackoverflow.com/questions/4310953/invalid-date-in-safari
		  time = time.replace(new RegExp(/-/gm), '/')
		}
	  }
  
	  if (typeof time === 'number' && time.toString().length === 10) {
		time = time * 1000
	  }
	  date = new Date(time)
	}
	const formatObj = {
	  y: date.getFullYear(),
	  m: date.getMonth() + 1,
	  d: date.getDate(),
	  h: date.getHours(),
	  i: date.getMinutes(),
	  s: date.getSeconds(),
	  a: date.getDay()
	}
	const time_str = format.replace(/{([ymdhisa])+}/g, (result, key) => {
	  const value = formatObj[key]
	  // Note: getDay() returns 0 on Sunday
	  if (key === 'a') {
		return ['日', '一', '二', '三', '四', '五', '六'][value]
	  }
	  return value.toString().padStart(2, '0')
	})
	return time_str
  }